Bouncy Castle Cryptography Library 1.40

## org.bouncycastle.jce.provider
Class JCERSACipher.OAEPPadding

    java.lang.Object
      javax.crypto.CipherSpi
          org.bouncycastle.jce.provider.WrapCipherSpi
              org.bouncycastle.jce.provider.JCERSACipher
                  org.bouncycastle.jce.provider.JCERSACipher.OAEPPadding

All Implemented Interfaces:
  PBE

Enclosing class:
  JCERSACipher

    public static class JCERSACipher.OAEPPadding

extends JCERSACipher

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JCERSACipher
`JCERSACipher.ISO9796d1Padding, JCERSACipher.NoPadding, JCERSACipher.OAEPPadding, JCERSACipher.PKCS1v1_5Padding, JCERSACipher.PKCS1v1_5Padding_PrivateOnly, JCERSACipher.PKCS1v1_5Padding_PublicOnly`

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap, WrapCipherSpi.RFC3211DESedeWrap`

Nested classes/interfaces inherited from interface org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`pbeHash, pbeIvSize, pbeKeySize, pbeType, wrapEngine`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`JCERSACipher.OAEPPadding()`

Method Summary

Methods inherited from class org.bouncycastle.jce.provider.JCERSACipher
`engineDoFinal, engineDoFinal, engineGetBlockSize, engineGetIV, engineGetKeySize, engineGetOutputSize, engineGetParameters, engineInit, engineInit, engineInit, engineSetMode, engineSetPadding, engineUpdate, engineUpdate`

Methods inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineUnwrap, engineWrap`

Methods inherited from class javax.crypto.CipherSpi
`engineDoFinal, engineUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCERSACipher.OAEPPadding

    public JCERSACipher.OAEPPadding()

Bouncy Castle Cryptography Library 1.40